@import url('https://fonts.googleapis.com/css?family=Roboto');

* {
  box-sizing: border-box;
  font-family: 'Roboto', sans-serif;
  outline: none;
}
body {
  font-size: 62.5%;
  background-color: #FCF1F5;
  height: 100vh;
  width: 100vh;
  margin: 0;
  padding: 0;
}
.player {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  height: 100%;
}

.player-controls {
  background-color: #fff;
  border-radius: 15px;
  width: 425px;
  display: flex;
  justify-content: flex-end;
  padding: 10px;
  box-shadow: 0px 33px 90px 11px rgba(147,84,103,.6);
}


* {
  box-sizing: border-box;
}

.song-panel {
  background-color: #FCF8FA;
  border-radius: 15px 15px 0 0;
  display: flex;
  height: 75px;
  justify-content: flex-end;
  padding: 0 12px 12px 12px;
  transform: translate3d(0, 100%, 0);
  transition: all 1s ease;
  width: 395px;
  z-index: 0;
  box-shadow: 0px 33px 90px 11px rgba(147,84,103,.6);

  .song-info {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    width: 230px;

    .song-info__title {
      color: #444b59;
      font-size: 0.8rem;
      font-weight: bold;
      margin-bottom: 5px;
    }

    .song-info__artist {
      color: #a5a7af;
      font-size: 0.7rem;
      margin-bottom: 10px;
    }

    .progress {
      background: #fff;
      border-radius: 3px;
      cursor: ew-resize;
      display: flex;
      flex: 10;
      flex-basis: 100%;
      max-height: 5px;
      position: relative;
      transition: height 0.3s;
      width: 100%;

      .progress__filled {
        background: #fc8da8;
        flex: 0;
        flex-basis: 0%;
        width: 50%;
      }
    }
  }

  &.playing {
    transform: translate3d(0, 0, 0);
    transition: all 1s ease;
  }
}

button {
  height: 80px;
  width: 80px;
  cursor: pointer;
  border: none;
  background-color: transparent;
  color: #DFDBE0;
  margin: 0 5px;
  border-radius: 15px;
  position: relative;
}

button:hover, button.playing {
  background-color: #E0DEE1;
  color: #fff;
}
button.play span.pause {
  background-color: white;
  position: absolute;
  top: 23px;
  height: 34px;
  width: 10px;
  display: block;
  border-radius: 3px;
  opacity: 0;
  transition: all .5s ease;
}

button.play span.pause.left {
  left: 0;
}

button.play.playing span.pause.left {
  left: 25px;
  opacity: 1;
  transition: left .5s ease, opacity .8s ease;
}

button.play span.pause.right {
  right: 0;
}

button.play.playing span.pause.right {
  right: 25px;
  opacity: 1;
  transition: right .5s ease, opacity .8s ease;
}
button.play i {
  opacity: 1;
  transition: opacity .5s ease;
}
button.play.playing i {
  opacity: 0;
  transition: all .5s ease;
}

.player-controls {
  position: relative;

  .spinner {
    height: 130px;
    width: 130px;
    position: absolute;
    top: -40px;
    left: 15px;
    display: flex;
    align-items: center;
    justify-content: center;

    &.spin {
      animation: spin 5s linear infinite;
    }

    .spinner__disc {
      height: 110px;
      width: 110px;
      border-radius: 50%;
      transition: all 1s ease;
      background-image: url(http://www.placecage.com/c/127/127);
      background-size: cover;
      background-position: center;
      display: flex;
      align-items: center;
      justify-content: center;

      &.scale {
        transform: scale(1.17);
        transition: all 1s ease;

        .center__disc {
          color: #e4d6e9;
          transition: all 1s ease;
        }
      }

      .center__disc {
        background-color: white;
        height: 25px;
        width: 25px;
        border-radius: 50%;
      }
    }
  }
}

@keyframes spin {
  100% {
    transform: rotate(360deg);
  }
}
